Delete access grant
curl --request DELETE \
--url https://api.vantage.sh/v2/access_grants/{access_grant_token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/access_grants/{access_grant_token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/access_grants/{access_grant_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>",
"resource_token": "rprt_abcd1234",
"access": "<string>",
"team_token": "<string>",
"created_at": "2023-08-04T00:00:00Z",
"created_by": "<string>"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}AccessGrants
Delete access grant
Delete an Access Grant.
DELETE
/
access_grants
/
{access_grant_token}
Delete access grant
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
AccessGrant model
The token for any resource the AccessGrant is applied to.
Example:
"rprt_abcd1234"
The access status of the AccessGrant.
The Team token for which an AccessGrant is applied to.
The date and time, in UTC, the AccessGrant was created. ISO 8601 Formatted.
Example:
"2023-08-04T00:00:00Z"
The token for the User who created the AccessGrant.
⌘I